package com.prolog.cs.biz.inbound.dto.failure;

import com.prolog.cs.biz.inbound.dto.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * 异常日志查询对象
 * 
 * @author Xiong
 *
 */
@ApiModel
public class ExceptionLogQueryVO extends PageParam {

	private static final long serialVersionUID = -1008068976164707117L;

	@ApiModelProperty(value = "企业id(默认当前登录者id)")
	private String enterpriseId;

	@ApiModelProperty(value = "货主id")
	private String mtlOwnerId;

	@ApiModelProperty(value = "仓库id")
	private String warehouseId;

	@ApiModelProperty(value = "收货单头ID")
	private String rcvHeaderId;

	@ApiModelProperty(value = "收货行ID")
	private String rcvLineId;

	@ApiModelProperty(value = "异常单主键id")
	private String exceptionHeaderId;

	@ApiModelProperty(value = "异常行主键id")
	private String exceptionLineId;

	@ApiModelProperty(value = "商品ID")
	private String itemId;

	@ApiModelProperty(value = "异常节点(收货10/验收20/质检30/上架40)")
	private String nodeType;

	@ApiModelProperty(value = "开始时间")
	private Date startTime;

	@ApiModelProperty(value = "结束时间")
	private Date endTime;

	@ApiModelProperty(value = "包含主键id列表", hidden = true)
	private List<String> includeIds;

	@ApiModelProperty(value = "排除主键id列表", hidden = true)
	private List<String> excludeIds;

	@ApiModelProperty(value = "异常单号(模糊)", hidden = true)
	private String billNum;

	public String getEnterpriseId() {
		return enterpriseId;
	}

	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getMtlOwnerId() {
		return mtlOwnerId;
	}

	public void setMtlOwnerId(String mtlOwnerId) {
		this.mtlOwnerId = mtlOwnerId;
	}

	public String getWarehouseId() {
		return warehouseId;
	}

	public void setWarehouseId(String warehouseId) {
		this.warehouseId = warehouseId;
	}

	public String getRcvHeaderId() {
		return rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getRcvLineId() {
		return rcvLineId;
	}

	public void setRcvLineId(String rcvLineId) {
		this.rcvLineId = rcvLineId;
	}

	public String getExceptionHeaderId() {
		return exceptionHeaderId;
	}

	public void setExceptionHeaderId(String exceptionHeaderId) {
		this.exceptionHeaderId = exceptionHeaderId;
	}

	public String getExceptionLineId() {
		return exceptionLineId;
	}

	public void setExceptionLineId(String exceptionLineId) {
		this.exceptionLineId = exceptionLineId;
	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

	public String getNodeType() {
		return nodeType;
	}

	public void setNodeType(String nodeType) {
		this.nodeType = nodeType;
	}

	public Date getStartTime() {
		return startTime;
	}

	public void setStartTime(Date startTime) {
		this.startTime = startTime;
	}

	public Date getEndTime() {
		return endTime;
	}

	public void setEndTime(Date endTime) {
		this.endTime = endTime;
	}

	public List<String> getIncludeIds() {
		return includeIds;
	}

	public void setIncludeIds(List<String> includeIds) {
		this.includeIds = includeIds;
	}

	public List<String> getExcludeIds() {
		return excludeIds;
	}

	public void setExcludeIds(List<String> excludeIds) {
		this.excludeIds = excludeIds;
	}

	public String getBillNum() {
		return billNum;
	}

	public void setBillNum(String billNum) {
		this.billNum = billNum;
	}

}